[XML-SIG] Re: Trying to install (Re: ANN: 4XPath 0.9.0 and 4XSLT 0.9.0)

Karl Eichwalder ke@gnu.franken.de
02 Jun 2000 04:56:36 +0200

Uche Ogbuji <uogbuji@fourthought.com> writes:

> > SuSE Linux comes with Python XML Tools 0.5.1; are they new enough?
> > 4DOM.html doesn't specify a special version.
> 0.5.1 should be new enough, although we only tested with 0.5.4.

Thanks for this info.  I'll update the package for SuSE Linux.  I never
saw 0.5.4 officially released; amk flagged it as an "release candidate":

    From: "Andrew M. Kuchling" <akuchlin@mems-exchange.org>
    Subject: 0.5.4 release candidate
    To: xml-sig@python.org
    Date: Fri, 21 Apr 2000 12:12:51 -0400 (EDT)

Demos coming with 0.5.4 are mostly working; I'll issue a separate

> The main problem will be that the PyXML package will contain a dom
> directory to be installed as /usr/lib/python1.5/site-packages/xml/dom.
> 4DOM now replaces the PyDOM from PyXML and so neds to go into the same
> directory.  This will, of course, make RPM unhappy.  We solved this by
> putting together a PyXML 0.5.4 RPM that excludes DOM, over which the
> 4DOM ROM can be installed.  You can find it at

> ftp://ftp.fourthought.com/pub/mirrors/python4linux/redhat/i386/python-xml-nodom
> -0.5.4-1.i386.rpm
> ftp://ftp.fourthought.com/pub/mirrors/python4linux/redhat/SRPMS/python-xml-nodo
> m-0.5.4-1.src.rpm

Thanks for this service.

> You might want to either combine this with 4DOM (something the XML SIG be 
> doing soon anyway), or use a nodom version for SuSE.

Thanks for the pointer.  I'll do something alogn these lines (depending
on our "feature freeze" for 7.0).

> [...] we're 
> going to work this weekeng to get 4DOM 0.10.1 and 4XSLT/4XPath 0.9.1 out.

Thanks.  I can wait :)

work : ke@suse.de                          |
     : http://www.suse.de/~ke/             |          ------    ,__o
home : ke@gnu.franken.de                   |         ------   _-\_<,
     : http://www.franken.de/users/gnu/ke/ |        ------   (*)/'(*)